Retrieve payment terms
curl --request GET \
--url https://api.tilta.io/v1/platform/payment_terms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/platform/payment_terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/platform/payment_terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/platform/payment_terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
"PREPAYMENT"
]{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Platform & Utilities
Retrieve payment terms
Retrieve the payment terms enabled for your platform, so buyers only ever see the deferral options your platform has contracted with Tilta.
GET
/
v1
/
platform
/
payment_terms
Retrieve payment terms
Payment terms define how long a buyer has to settle an invoice after it is captured. This endpoint returns the subset of terms enabled for your platform – use it to populate the payment-term selector in your checkout UI so that buyers only see options your platform actually offers.
Which terms are available is configured during platform onboarding, based on your commercial agreement with Tilta. To add or
remove options, contact your Tilta account manager.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Response
Available options:
PREPAYMENT, DEFER_3D, DEFER_7D, DEFER_14D, DEFER_21D, DEFER_30D, DEFER_45D, DEFER_60D, DEFER_75D, DEFER_90D, DEFER_120D, SPLIT_3M, SPLIT_6M